cc.funkemunky.api.utils.math

## Class RollingAverageDouble

- java.lang.Object
- - cc.funkemunky.api.utils.math.RollingAverageDouble

    public class RollingAverageDouble
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RollingAverageDouble(int size, double initial)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(double value)`
`void` `clearValues()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RollingAverageDouble

    public RollingAverageDouble(int size,
                                double initial)

### Method Detail

#### add

    public void add(double value)

#### clearValues

    public void clearValues()